#!/usr/bin/env python

'''

    @version $Id: mgWidgetMain.py,v 1.5 2005/09/27 04:40:44 dave Exp $

    This file is part of mathguy.

    mathguy is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    mathguy is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mathguy; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    mathguy is copyright 2005 by David Fancella

'''

import pygame
from pygame.locals import *
from libGUIacme import font
from libacme import paths
from libGUIacme.widgets import mg_widget
from libGUIacme.widgets import mg_menu
from libGUIacme.widgets import mg_paged_menu
from libGUIacme.widgets import mg_billboard
from libGUIacme.widgets import mg_container
from libGUIacme.widgets import mg_event
from libGUIacme.widgets import mg_mapview
from libGUIacme.widgets import mg_button
from libGUIacme.widgets import mg_textbox
from libGUIacme.widgets import mg_label
from libGUIacme.widgets import mg_toolbutton
from libGUIacme.widgets import mg_panel
from libGUIacme.widgets import mg_mapmeta

# Event constants

# return from event handler
mgENONEOFYOURBUSINESS = 0
mgESELECTION = 1

# pass to event handler
mgEMOUSECLICK = 2
mgEKEYBOARD = 3
mgEMOUSEMOVE = 6

# used internally by the event system
mgEBASEEVENT = 4
mgEINPUTEVENT = 5

#def mgWidget(**args):
#    return mg_widget.mgWidget(**args)

def mgMenu(**args):
    return mg_menu.mgMenu(**args)

def mgLabel(**args):
    return mg_label.mgLabel(**args)
    
def mgButton(**args):
    return mg_button.mgButton(**args)

def mgPagedMenu(**args):
    return mg_paged_menu.mgPagedMenu(**args)

def mgBillboard(**args):
    return mg_billboard.mgBillboard(**args)

def mgContainer(**args):
    return mg_container.mgContainer(**args)

def mgTextBox(**args):
    return mg_textbox.mgTextBox(**args)

def mgToolButton(**args):
    return mg_toolbutton.mgToolButton(**args)
    
def mgMapView(**args):
    return mg_mapview.mgMapView(**args)

def mgPanel(**args):
    return mg_panel.mgPanel(**args)

def mgMapMeta(**args):
    return mg_mapmeta.mgMapMeta(**args)
    
# base class for input events
def mgInputEvent(**args):
    return mg_event.mgInputEvent(**args)
        
# This is the event that stores all keyboard input
# You can access pieces of it depending on how it's constructed
def mgKeyboardInput(**args):
    return mg_event.mgKeyboardInput(**args)
            
# you can override many of the mgMouseClick attributes by just passing them in as
# attribute=value.  If you don't, pygame will be queried directly, which is normally
# the behavior you want anyway
def mgMouseClick(**args):
    return mg_event.mgMouseClick(**args)

def mgRightClick(**args):
    return mg_event.mgRightClick(**args)

def mgMouseMove(**args):
    return mg_event.mgMouseMove(**args)

def mgQuit(**args):
    return mg_event.mgQuit(**args)

