#!/usr/bin/env python

'''

    @version $Id: mg_container.py,v 1.2 2005/09/27 04:40:44 dave Exp $

    This file is part of acme.

    acme is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    acme is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with acme; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    acme is copyright 2005 by David Fancella

'''

import pygame
from pygame.locals import *
from libGUIacme import font
from libacme import paths
from libGUIacme.libwidget import *
from libGUIacme.widgets import mg_panel
from libGUIacme.widgets import mg_label
from libGUIacme.widgets import mg_textbox
from libGUIacme import graphics

# This class is intended to be inherited
class mgMapMeta(mg_panel.mgPanel):
    widgetList = None
    isDirty = False
    
    def __init__(self, **args):
        self.size = (165,150)
        super(mgMapMeta, self).__init__(**args)
        self.authorTitle = mg_label.mgLabel( pos=(700,700), eventmanager = self.eventMaster,
                                    width = 150, text="Author", font_size = 12)
        self.authorField = mg_textbox.mgTextBox( pos=(700,730), eventmanager = self.eventMaster,
                                    width = 150, font_size = 12)
        self.mapNameTitle = mg_label.mgLabel( pos=(700,760), eventmanager = self.eventMaster,
                                    width = 150, text="Map", font_size = 12)
        self.mapNameField = mg_textbox.mgTextBox( pos=(700,790), eventmanager = self.eventMaster,
                                    width = 150, font_size = 12)
        self.mapVersionTitle = mg_label.mgLabel( pos=(700,820), eventmanager = self.eventMaster,
                                    width = 150, text="Version", font_size = 12)
        self.mapVersionField = mg_textbox.mgTextBox( pos=(700,850), eventmanager = self.eventMaster,
                                    width = 150, font_size = 12)
        
        self.AddWidget(self.authorTitle, (4,2) )
        self.AddWidget(self.authorField, (4, 22) )
        self.AddWidget(self.mapNameTitle, (4, 42) )
        self.AddWidget(self.mapNameField, (4, 62) )
        self.AddWidget(self.mapVersionTitle, (4, 82) )
        self.AddWidget(self.mapVersionField, (4, 102) )

        self.isDirty = True

        


        


